%global pkgvers 0
%global scdate0 20241220
%global schash0 581402a42e506357ca57187eb71810bcc0caffb5
%global branch0 master
%global source0 https://gitea.osmocom.org/sdr/gr-osmosdr.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gr-osmosdr
Version:        0.2.6
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Common software API for various radio hardware
License:        GPLv3
Epoch:          1

URL:            https://osmocom.org/projects/osmosdr

BuildRequires:  git cmake gcc-c++ python3-devel pybind11-devel gnuradio-devel pkgconfig
BuildRequires:  doxygen graphviz swig rtl-sdr-devel uhd-devel boost-devel volk-devel
BuildRequires:  mpir-devel gmp-devel hackrf-devel gr-iqbal-devel airspyone_host-devel
BuildRequires:  libosmo-dsp-devel bladerf-devel spdlog-devel SoapySDR-devel airspyhf-devel
BuildRequires:  fftw-devel libsndfile-devel gr-funcube-devel

%global __cmake_in_source_build 1

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also
offers a wrapper functionality for FunCube Dongle,  Ettus UHD
and rtl-sdr radios. By using gr-osmosdr source you can take
advantage of a common software api in your application(s)
independent of the underlying radio hardware.

%package        devel
Summary:        Development files for gr-osmosdr
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
Development files for gr-osmosdr.

%package        doc
Summary:        Documentation files for gr-osmosdr
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation files for gr-osmosdr.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir build
cd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
%make_build



%install
cd build
%make_install


%ldconfig_scriptlets


%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc AUTHORS COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%{python3_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/osmosdr
%{_libdir}/*.so
%{_libdir}/cmake/*

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Mon Mar 18 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
